2010-10-12  Sebastien Pouliot  <sebastien@ximian.com>

	A few moves/changes following previous patch review

2010-06-04  Jb Evain  <jbevain@novell.com>

	* HttpEncoder.cs: only net_4_0 uses System.Web.Configuration.

2010-06-01  Marek Habersack  <mhabersack@novell.com>

	* HttpEncoder.cs: added. A 4.0 type but also used in 2.0 profile,
	internally.

2010-03-06  Marek Habersack  <mhabersack@novell.com>

	* RequestValidator.cs: added

	* RequestValidationSource.cs: added

2010-03-04  Marek Habersack  <mhabersack@novell.com>

	* RuntimeHelpers.cs: added. Contains methods moved here from
	HttpRuntime, so that initialization sequence of various objects is
	independent of HttpRuntime.

2009-03-01 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* WebEncoding.cs: another GetWebApplication here.

2009-02-20 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* ICalls.cs: new internal call to get a pointer to the
	win32 resource associated with the control's assembly.

2009-01-27  Marek Habersack  <mhabersack@novell.com>

	* SearchPattern.cs: added

2009-01-22  Marek Habersack  <mhabersack@novell.com>

	* FileUtils.cs: added two conditionally compiled methods (they
	require DEVEL to be defined) which output lines to a log file.

2008-12-25 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* UrlUtils.cs: use Replace (char, char).

2008-08-19  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: fail gracefully if the path passed to GetSessionId
	is null.

2008-07-29  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: fixed a typo in HasSessionId which made it always
	return False. Fixes bug #397418

2008-06-27  Robert Jordan  <robertj@gmx.net>

	* TimeUtil.cs (ToUtcTimeString): convert using the invariant
	culture. Fixes bug #404083. Contributed by
	Hubert FONGARNAND <informatique.internet@fiducial.fr>.

2008-06-16  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: optimize string usage (do not compare against "").

2008-06-16  Noam Lampert  <noaml@mainsoft.com>

	* UrlUtils.cs: Fixed some bugs in Canonize method. Add several tests

2008-06-04  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: added internal method HasSessionId

2007-12-12  Marek Habersack  <mhabersack@novell.com>

	* SettingsMappingManager.cs: use the 'settings.map.config' name
	for the application-specific mapper configuration. This ensures
	that the file won't be downloadable on systems which don't support
	the mapping feature without the need to add the extra handler
	entry to the app's Web.config file. Thanks to Joe Audette for the
	idea.

2007-12-11  Marek Habersack  <mhabersack@novell.com>

	* SettingsMappingManager.cs: made the class public - it is
	required for user-defined mappers to work.
	Added a new property, Platform, which specifies the platform we're
	running on. Platform check is now done only on initialization
	time.
	LoadMappings considers only the mappings which apply to the
	current platform. Other entries are not loaded.

	* SettingsMapping.cs: made the class public.
	
	* SettingsMappingWhat.cs: made the class public.

	* ISectionSettingsMapper.cs: made the interface public.
	
2007-12-08  Marek Habersack  <mhabersack@novell.com>

	* SerializationHelper.cs: added - serialization helper for the
	Sqlite Profile Provider.

	* RoleManagerSectionMapper.cs: added - section settings mapper for
	the RoleManager section.

	* MembershipSectionMapper.cs: added - section settings mapper for
	the Membership section.

	* ISectionSettingsMapper.cs: added - interface definition for
	section settings mappers.

	* SettingsMappingWhat.cs: added - describes a single 'what' tag
	instance inside the mapper definition in the settings.map file.

	* SettingsMapping.cs: added - represents a single mapper entry in
	the settings.map file.

	* SettingsMappingManager.cs: added - manages settings mapping as
	defined in the settings.map file.

2006-08-19  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* UrlUtils.cs: optimized string.Replace in RemoveDoubleSlashes

2007-03-21  Konstantin Triger <kostat@mainsoft.com>

	AltSerialization.cs: refactoring for Serialize/Deserialize functionality.

2007-03-18  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: GetDirectory always returns a path with trailing
	slash.

2007-03-16  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: make sure the trailing slash is present.

2007-03-05  Marek Habersack  <mhabersack@novell.com>

	* UrlUtils.cs: Make sure GetDirectory returns a directory with the
	trailing slash.

2007-01-30  Adar Wesley <adarw@mainsoft.com>

	* UrlUtils.cs: fixed GetFile to throw right exception

2007-01-20  Miguel de Icaza  <miguel@novell.com>

	* FileUtils.cs (CreateTemporaryFile): Remove unused variable.

2006-11-26 Igor Zelmanovich <igorz@mainsoft.com>

	* StrUtils.cs: added new helper method EscapeQuotesAndBackslashes

2006-11-13  Marek Habersack  <grendello@gmail.com>

	* FileUtils.cs: Added a utility class for temporary file creation
	(and possibly other future common file operations)

2006-03-15  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* DataSourceResolver.cs: corrected exceptions type in 
	ResolveDataSource

2006-02-01  Chris Toshok  <toshok@ximian.com>

	* WebEncoding.cs: CONFIGURATION_2_0 => NET_2_0, and use GetSection
	instead of GetWebApplicationSection.

2006-01-31 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: more than one consecutive slash are turned into one.

2006-01-26  Chris Toshok  <toshok@ximian.com>

	* WebEncoding.cs: rework this so we cache the section, and so we
	swallow exceptions based on a broken configuration.

2006-01-09  Konstantin Triger <kostat@mainsoft.com>

	AltSerialization.cs: under TARGET_JVM: merging /main/4

2005-11-28  Chris Toshok  <toshok@ximian.com>

	* WebEncoding.cs (FileEncoding, ResponseEncoding,
	RequestEncoding): CONFIGURATION_2_0 work.

2005-09-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fix GetFile to work with '/blah'.

2005-09-11  Sebastien Pouliot  <sebastien@ximian.com>

	* IWebObjectFactory.cs: New. 2.0 interface.
	* IWebPropertyAccessor.cs: New. 2.0 interface.
	* Transactions.cs: Added [Link|Inheritance]Demand for Minimal.
	* WorkItem.cs: Added [Link|Inheritance]Demand for Minimal. Added 
	Demand for UnmanagedCode on the static Post method,

2005-08-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: removed 2 unused methods. IsRelativeUrl returns false if
	there's a colon in the string, assuming it's the beginning of the ://
	after the schema.

2005-07-15  Ben Maurer  <bmaurer@ximian.com>

	* DataSourceHelper.cs: Obsolete

	* DataSourceResolver.cs: Moved from DataSourceHelper.

2005-07-14  Ben Maurer  <bmaurer@ximian.com>

	* DataSourceHelper.cs: Helper method used for data binding.

2005-06-26 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: (Combine) if the base path is "~", expand it.

2005-06-26 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* StrUtils.cs: new string utilities.

2005-05-09  Ben Maurer  <bmaurer@ximian.com>

	* UrlUtils.cs (Reduce): a more efficient impl that avoids an
	arraylist, making an arraylist into an array, and a replace
	operation.

2004-11-30 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: made (Insert|Get|Remove)SessionId use the appRoot +
	SessionID + vpath format.

2004-07-20 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: don't pass double slash when the path begins with a
	tilde. Fixes bug #61654.

2004-05-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs:
	(GetFile): not public, and fixed to really return just the file name.
	(InsertSessionId): ensure that the directory ends with a "/". This
	fixes cookieless sessions.
	(RemoveSessionId): don't return "/" twice.

	Fixed bug #59051.

2004-05-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: respect trailing slashes. Fixes bug #56802.

2004-05-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: no more ^Ms.

2004-04-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: MakeRelative was returning null for virtual paths without
	directory.

2004-04-22  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* FileAction.cs:
	* FileChangeEventHandler.cs:
	* FileChangedEventArgs.cs:
	* FileChangesMonitor.cs:
	* FilePathParser.cs: removed unused/obsolete files.

2004-04-19  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fixed MakeRelative. nGallery goes one step further.

2004-03-19  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: small fix from George Kodinov for Combine when ~ is used. 

2004-02-18  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: ~ is not always /. Fixed.

2004-02-17  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs:
	(Combine): handle subdirectories and tilde. Fixes bug 54231.

2004-02-01  Alon Gazit <along@mainsoft.com>

	* UrlUtils.cs: little fix in GetDirectory ().

2004-01-11  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* TransactedCallback.cs:
	* WorkItemCallback.cs:
	* WorkItem.cs:
	* Transactions.cs: Added and stubbed/ implemented

2004-01-11  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* WebEqualComparer.cs:
	* WebHashCodeProvider.cs:
	* FileAction.cs:
	* FileChangeEventHandler.cs:
	* NativeFileChangeEventHandler.cs: Monostyled header, internalized

2004-01-09  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: make reduce not to throw an exception for '../'. Fixes
	bug #52599.

2003-12-03  Jackson Harper <jackson@ximian.com>

	* UrlUtils.cs: Some methods for working with session ids in urls.
	
2003-12-02  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebEncoding.cs: use the Default encoding when the globalization
	configuration is not available.

2003-12-01  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: don't forget basePath when relative path is not rooted.
	Fixes bug #51522.

2003-11-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fix bug introduced with last change that makes relative
	paths fail. Closes bug #51448.

2003-11-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fixed Combine() handling of ~.

2003-11-25  Jackson Harper <jackson@ximian.com>

	* AltSerialization.cs: Utility methods for optimized serializing.
	
2003-11-13  Jackson Harper  <jackson@ximian.com>

	* TimeUtil.cs: Utility methods for dealing with time.
	
2003-11-08 Ben Maurer  <bmaurer@users.sourceforge.net>

	* UrlUtils.cs: new function to do the app mapping, but make
	it return a physical path.

2003-11-07 Ben Maurer  <bmaurer@users.sourceforge.net>

	* UrlUtils.cs: add a new function for mapping app absolute
	paths to virual paths (ie, ~/blah/ to /application/root/blah/)

2003-11-05  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebEncoding.cs: added properties to access configuration files
	encoding.

2003-08-29  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ICalls.cs: holds a couple of icalls.

2003-08-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: made Reduce work when a "/" is passed.

2003-05-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fixed Combine and reworked Reduce.

2003-03-18  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: another little fix in Combine ().

2003-01-29  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fixed Combine ().

2002-12-20  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UrlUtils.cs: fixed IsRelativeUrl and IsRootUrl.

2002-12-18  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* PathUtil.cs: removed.
	* UrlUtils.cs: fixed Combine to handle '~'.

2002-12-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* PathUtil.cs: some path handling methods that are not available in
	System.IO.Path.

2002-10-28      Gaurav Vaish <gvaish_mono@lycos.com>

	* DataSourceHelper.cs       : Fresh implementation. Moved from
	                      System.Web.UI.WebControls.DataGrid
	                      ::ResolveData(object, string).

2002-10-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* WebTrace.cs: fixed namespace.

	* WebEncoding.cs: new class that holds the default encoding for
	System.Web.

2002-01-03  Nick Drochak  <ndrochak@gol.com>

	* FileChangesMonitor.cs: remove redundant using statement; use int
	for MAXLEN; capitalize correctly 'WebHashCodeProvider';
	fix typo rsLock -> rwLock; Change IsRooted to IsPathRooted;
	set out parameter value where needed
	* FilePathParser.cs: qualify method GetPathRoot() with 'Path.'
	* IISVersionInfo.cs: initialize static member to avoid compile error.
	* WebEqualComparer.cs: static member defC shouldn't be readonly;
	the string comparer had some typos (fixed)
	* WebHashCodeProvider.cs: needed System.Globalization; static member
	defHcp shouldn't be readonly; remove double equal typo.

2002-01-02  Nick Drochak  <ndrochak@gol.com>

	* FileAction.cs: Use 0x7FFFFFFF as enum value for error.  0xFFFFFFFF
	is too big for Int32.
	* FileChangeEventHandler.cs: put missing 'void' return type on delegate
	FileChangeEventHandler()
	* FileChangedEventArgs.cs: ditto for FileChangedEvent()
	* NativeFileChangeEventHandler.cs: ditto for NativeFileChangeEventHandler()
	* FileChangesMonitor.cs: add needed namespaces and comment out imcomplete
	code.

2001-12-21      Gaurav Vaish <gvaish@iitk.ac.in>

	* ApacheVersionInfo.cs     - Dummy class, for later use.
        * FileAction.cs:
        * FileChangeEventHandler.cs:
        * FileChangeEventArgs.cs:
        * FileChangesMonitor.cs:
        * NativeFileChangeEventHandler.cs
	                           - To be used in System.Web/Http* classes.
	                             Initially needed for HttpRuntime
        * IISVersionInfo.cs        - Some useful methods


2001-12-17	Gaurav Vaish <gvaish@iitk.ac.in>

	* UrlUtils.cs              - Added functions Combine and Reduce

2001-12-16  Miguel de Icaza  <miguel@ximian.com>

	* DataSourceHelper.cs, UrlUtils.cs: Set the correct namespace. 

2001-11-30
		Gaurav Vaish <gvaish@iitk.ac.in>
	* DataSourceHelper.cs      - Resolving DataSource objects

2001-11-09
		Gaurav Vaish <gvaish@iitk.ac.in>
	* UrlUtil.cs               - Some basic functions

2001-11-08
		Gaurav Vaish <gvaish@iitk.ac.in>
	* Namespace    - Created the namespace for commonly used,
	                   otherwise not available functions
